# HierarchyWizard (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class HierarchyWizard<T>

- java.lang.Object
- - org.eclipse.jface.wizard.Wizard
  - - org.deidentifier.arx.gui.view.impl.wizard.ARXWizard<HierarchyWizard.HierarchyWizardResult<T>>
    - - org.deidentifier.arx.gui.view.impl.wizard.HierarchyWizard<T>

- Type Parameters:
    `T` -
  All Implemented Interfaces:
    org.eclipse.jface.wizard.IWizard

      public class HierarchyWizard<T>
      extends ARXWizard<HierarchyWizard.HierarchyWizardResult<T>>

  This class implements a wizard for generalization hierarchies.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `HierarchyWizard.HierarchyWizardResult<T>` Result of the wizard.
    `static interface` | `HierarchyWizard.HierarchyWizardView` Updateable part of the wizard.

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.jface.wizard.Wizard

      `DEFAULT_IMAGE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HierarchyWizard(Controller controller, java.lang.String attribute, DataType<T> datatype, java.util.Locale locale, java.lang.String[] items)` Creates a new instance.
    `HierarchyWizard(Controller controller, java.lang.String attribute, HierarchyBuilder<?> builder, DataType<T> datatype, java.util.Locale locale, java.lang.String[] items)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPages()`
    `boolean` | `canFinish()`
    `protected org.eclipse.swt.widgets.Button` | `getLoadButton()` Returns the load button.
    `HierarchyWizard.HierarchyWizardResult<T>` | `getResult()` Returns the created builder.
    `protected org.eclipse.swt.widgets.Button` | `getSaveButton()` Returns the load button.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.wizard.ARXWizard

      `getButton, getDialog, open, performFinish, setButtons`

    - ### Methods inherited from class org.eclipse.jface.wizard.Wizard

      `addPage, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.wizard.IWizard

      `createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

- - ### Constructor Detail

    - #### HierarchyWizard

          public HierarchyWizard(Controller controller,
                         java.lang.String attribute,
                         DataType<T> datatype,
                         java.util.Locale locale,
                         java.lang.String[] items)

      Creates a new instance.
      Parameters:
        `controller` -
        `attribute` -
        `datatype` -
        `locale` -
        `items` -

    - #### HierarchyWizard

          public HierarchyWizard(Controller controller,
                         java.lang.String attribute,
                         HierarchyBuilder<?> builder,
                         DataType<T> datatype,
                         java.util.Locale locale,
                         java.lang.String[] items)

      Creates a new instance.
      Parameters:
        `controller` -
        `attribute` -
        `builder` -
        `datatype` -
        `locale` -
        `items` -

  - ### Method Detail

    - #### addPages

          public void addPages()

      Specified by:
        `addPages` in interface `org.eclipse.jface.wizard.IWizard`
      Overrides:
        `addPages` in class `org.eclipse.jface.wizard.Wizard`

    - #### canFinish

          public boolean canFinish()

      Specified by:
        `canFinish` in interface `org.eclipse.jface.wizard.IWizard`
      Overrides:
        `canFinish` in class `org.eclipse.jface.wizard.Wizard`

    - #### getResult

          public HierarchyWizard.HierarchyWizardResult<T> getResult()

      Returns the created builder.
      Specified by:
        `getResult` in class `ARXWizard<HierarchyWizard.HierarchyWizardResult<T>>`
      Returns:

    - #### getLoadButton

          protected org.eclipse.swt.widgets.Button getLoadButton()

      Returns the load button.
      Returns:

    - #### getSaveButton

          protected org.eclipse.swt.widgets.Button getSaveButton()

      Returns the load button.
      Returns: